package ejblogin;

import java.util.Properties;

import javax.naming.Context;
import javax.naming.InitialContext;

import com.sun.appserv.security.ProgrammaticLogin;

public class TestLogin {

  /**
   * @param args
   * @throws Exception
   */
  public static void main(String[] args) throws Exception {

    System.setProperty("java.security.auth.login.config", "src/main/resources/appclientlogin.conf");
    Properties props = new Properties();
    props.put(Context.INITIAL_CONTEXT_FACTORY,
        "com.sun.enterprise.naming.SerialInitContextFactory");
    props.setProperty("org.omg.CORBA.ORBInitialHost", "localhost");
    props.setProperty("org.omg.CORBA.ORBInitialPort", "3700");

    InitialContext ctx = new InitialContext(props);
    
    ProgrammaticLogin programmaticLogin = new ProgrammaticLogin();
    programmaticLogin.login("test", "test");
    CheckAccessRemote checkAccess = (CheckAccessRemote) ctx.lookup("ejb/check");
    checkAccess.check();
  }
}
