package ejblogin;

import java.security.Principal;

/**
 * Ops principal (Contains the roles of the given principal).
 * 
 * @author kor
 *
 */
public class EjbPrincipal implements Principal {
	
	private String name;
	
	private String[] roles;

	public EjbPrincipal(String name, String[] roles) {
		super();
		this.name = name;
		this.roles = roles;
	}

  public String getName() {
    return name;
  }

  public String[] getRoles() {
    return roles;
  }
}
